import { defineComponent as b, mergeModels as f, useModel as y, createElementBlock as g, openBlock as V, Fragment as h, createVNode as t, unref as l, withCtx as u } from "vue";
import { useI18n as c } from "vue-i18n";
import { c as r, d as m, e as M } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
const _ = /* @__PURE__ */ b({
  __name: "DatahubDataTypeFloatValueConfiguration",
  props: /* @__PURE__ */ f({
    attribute: {},
    dataTypeInstance: {},
    remoteScopes: {},
    remoteLanguages: {},
    remoteAttributes: {},
    readonly: { type: Boolean }
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(i) {
    const e = y(i, "modelValue", {
      set: ({ max: o, min: a, precision: n, ...p }) => ({
        precision: Number(n),
        max: Number(o),
        min: Number(a),
        ...p
      })
    }), { t: d } = c();
    return (o, a) => (V(), g(h, null, [
      t(l(r), null, {
        default: u(() => [
          t(l(m), {
            modelValue: e.value.precision,
            "onUpdate:modelValue": a[0] || (a[0] = (n) => e.value.precision = n),
            modelModifiers: { number: !0 },
            label: l(d)("datahub-plugin.floatValue.precision"),
            type: "number",
            readonly: o.readonly,
            "persistent-placeholder": ""
          }, null, 8, ["modelValue", "label", "readonly"])
        ]),
        _: 1
      }),
      t(l(r), null, {
        default: u(() => [
          t(l(m), {
            modelValue: e.value.min,
            "onUpdate:modelValue": a[1] || (a[1] = (n) => e.value.min = n),
            modelModifiers: { number: !0 },
            label: l(d)("datahub-plugin.floatValue.minLength"),
            type: "number",
            readonly: o.readonly,
            "persistent-placeholder": ""
          }, null, 8, ["modelValue", "label", "readonly"])
        ]),
        _: 1
      }),
      t(l(r), null, {
        default: u(() => [
          t(l(m), {
            modelValue: e.value.max,
            "onUpdate:modelValue": a[2] || (a[2] = (n) => e.value.max = n),
            modelModifiers: { number: !0 },
            label: l(d)("datahub-plugin.floatValue.maxLength"),
            type: "number",
            readonly: o.readonly,
            "persistent-placeholder": ""
          }, null, 8, ["modelValue", "label", "readonly"])
        ]),
        _: 1
      }),
      t(l(r), null, {
        default: u(() => [
          t(l(M), {
            modelValue: e.value.readOnly,
            "onUpdate:modelValue": a[3] || (a[3] = (n) => e.value.readOnly = n),
            label: o.$t("datahub-ui.dh-table.readOnly"),
            readonly: o.readonly
          }, null, 8, ["modelValue", "label", "readonly"])
        ]),
        _: 1
      })
    ], 64));
  }
});
function s(i) {
  const e = i;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        "datahub-plugin": {
          floatValue: {
            precision: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Precision" } },
            minLength: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Min. length" } },
            maxLength: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Max. length" } }
          }
        }
      },
      "de-DE": {
        "datahub-plugin": {
          floatValue: {
            precision: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Genauigkeit (Nachkommastellen)" } },
            minLength: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Min. Länge" } },
            maxLength: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Max. Länge" } }
          }
        }
      }
    }
  });
}
typeof s == "function" && s(_);
export {
  _ as default
};
